#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - tcl8_4 preinstallation
#
# Creation   :  2018-01-24 holbru
# Last update:  $Id: preinstall.sh 49256 2018-01-24 22:47:12Z hbfl $
#
# Copyright (c) 2018-2018 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=tcl8_4

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check tcl 2.6.1)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/tcl-files.txt ]
    then
        sed -i '/tcl8.4/d' /etc/filelist.d/tcl-files.txt
        sed -i '/tclsh8.4/d' /etc/filelist.d/tcl-files.txt
    fi
fi

installed=$(eisman check ${package_name})

if [ "${installed}" = "installed" ]
then
    /var/install/bin/del-package --update -p ${package_name}
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
